org.jboss.netty.channel.socket.nio

## Class NioDatagramWorkerPool

- java.lang.Object
- - org.jboss.netty.channel.socket.nio.AbstractNioWorkerPool<NioDatagramWorker>
  - - org.jboss.netty.channel.socket.nio.NioDatagramWorkerPool

All Implemented Interfaces:
  WorkerPool<NioDatagramWorker>, ExternalResourceReleasable

    public class NioDatagramWorkerPool
    extends AbstractNioWorkerPool<NioDatagramWorker>

Default implementation which hands of `NioDatagramWorker`'s

### Constructor Summary

Constructors
Constructor and Description
`NioDatagramWorkerPool(Executor executor, int workerCount)`
`NioDatagramWorkerPool(Executor executor, int workerCount, boolean allowShutdownOnIdle)` Deprecated. use `NioDatagramWorkerPool(Executor, int)`

### Method Summary

Methods
`protected NioDatagramWorker` `createWorker(Executor executor, boolean allowShutdownOnIdle)` Create a new `Worker` which uses the given `Executor` to service IO

### Methods inherited from class org.jboss.netty.channel.socket.nio.AbstractNioWorkerPool

`createWorker, nextWorker, releaseExternalResources`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NioDatagramWorkerPool

    @Deprecated
    public NioDatagramWorkerPool(Executor executor,
                                    int workerCount,
                                    boolean allowShutdownOnIdle)

Deprecated. use `NioDatagramWorkerPool(Executor, int)`

#### NioDatagramWorkerPool

    public NioDatagramWorkerPool(Executor executor,
                         int workerCount)

### Method Detail

#### createWorker

    protected NioDatagramWorker createWorker(Executor executor,
                                 boolean allowShutdownOnIdle)

Description copied from class: `AbstractNioWorkerPool`
Create a new `Worker` which uses the given `Executor` to service IO

Specified by:
  `createWorker` in class `AbstractNioWorkerPool<NioDatagramWorker>`
Parameters:
  `executor` - the `Executor` to use
  `allowShutdownOnIdle` - allow the `Worker` to shutdown when there is not `Channel` is registered with it
Returns:
  worker the new `Worker`